org.eclipse.jgit.transport.http

## Interface HttpConnectionFactory

All Known Implementing Classes:
  JDKHttpConnectionFactory

    public interface HttpConnectionFactory

The interface of a factory returning `HttpConnection`

Since:
  3.3

### Method Summary

All Methods Instance Methods Abstract Methods
`HttpConnection` `create(URL url)` Creates a new connection to a destination defined by a `URL`
`HttpConnection` `create(URL url, Proxy proxy)` Creates a new connection to a destination defined by a `URL` using a proxy

### Method Detail

#### create

    HttpConnection create(URL url)
                   throws IOException

Creates a new connection to a destination defined by a `URL`

Parameters:
  `url` -
Returns:
  a `HttpConnection`
Throws:
  `IOException`

#### create

    HttpConnection create(URL url,
                          Proxy proxy)
                   throws IOException

Creates a new connection to a destination defined by a `URL` using a proxy

Parameters:
  `url` -
  `proxy` - the proxy to be used
Returns:
  a `HttpConnection`
Throws:
  `IOException`